org.apache.sysds.runtime.codegen

## Class ByteClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.sysds.runtime.codegen.ByteClassLoader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ByteClassLoader
    extends URLClassLoader

### Constructor Summary

Constructors
Constructor and Description
`ByteClassLoader(URL[] urls, ClassLoader parent, byte[] classBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `findClass(String className)`

### Methods inherited from class java.net.URLClassLoader

`close, findResource, findResources, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteClassLoader

    public ByteClassLoader(URL[] urls,
                           ClassLoader parent,
                           byte[] classBytes)

### Method Detail

#### findClass

    public Class<?> findClass(String className)
                       throws ClassNotFoundException

Overrides:
  `findClass` in class `URLClassLoader`
Throws:
  `ClassNotFoundException`